#
# spec file for package fs-uae-launcher
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fs-uae-launcher
Version:        3.0.3
Release:        bp156.3.1
Summary:        Graphical configuration frontend and launcher for FS-UAE
License:        GPL-2.0-or-later
Group:          System/Emulators/Other
URL:            https://fs-uae.net/
Source0:        https://fs-uae.net/stable/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-setuptools
BuildRequires:  update-desktop-files
Requires:       fs-uae
Requires:       python3-qt5
Requires:       python3-requests
Recommends:     python3-lhafile
BuildArch:      noarch

%description
FS-UAE Launcher is a graphical configuration program and launcher for FS-UAE.

%prep
%setup -q

%build
python3 setup.py build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} prefix=%{_prefix}
%suse_update_desktop_file -r %{name} System Emulator
rm -rf %{buildroot}/%{_datadir}/doc
%fdupes %{buildroot}%{_datadir}
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Tue Mar 10 2020 Martin Hauke <mardnh@gmx.de>
- Fixed crash when starting the Launcher in a KDE environment
* Wed Nov  6 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 3.0.2
  * Another fix for global WHDLoad quit key.
  * Fixed a misleading warning when cyberstorm ROM was not found
- Update to version 3.0.1
  * Scanner bug prevented Conquests of the Longbow WHDLoad to be
    recognized.
  * The correct kickstart wasn’t always loaded.
  * Cloanto ROMs were not always decrypted.
  * Fix for global WHDLoad quit key.
* Wed Jul  3 2019 Wolfgang Bauer <wbauer@tmo.at>
- Update to version 3.0.0
  * Plugins can provide files for offline use (WHDLoad, JST, SKick,
    etc)
  * Added support for .gz/.adz/.roz/.xz-compressed files
  * Support WHDLoad versions 18.4 and 18.5 (game database)
  * Revert fullscreen_mode to default when upgrading from older
    versions
  * Use https for all more fs-uae.net and openretro.org
    communication
  * Support hd_requirements = xpkmaster.library
  * Fixed problem on Windows where devices were sometimes not
    detected
  * Make configurations list wider when window width is quite large
  * Try to use config from game database when launching with a
    WHDLoad archive.
  * Extract WHDLoad arguments from .info file when loading a
    WHDLoad archive
  * Sync "unpublished" games from the online game database, option
    to show
  * Many bugfixes and smaller improvements (see Changelog for
    details)
- Add python3-requests requirement, needed for the new version to
  start
- Recommend python3-lhafile for .lha file support
- Remove obsolete %%post/%%postun sections for no longer supported
  distributions
* Wed Aug  8 2018 mardnh@gmx.de
- Initial package, version 2.8.3
  based on home:FrodeSolheim:stable/fs-uae-launcher
